# Uses of Interface
io.papermc.paper.math.Rotations

Packages that use Rotations
Package
Description
io.papermc.paper.math
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.

## Uses of Rotations in io.papermc.paper.math

Fields in io.papermc.paper.math declared as Rotations
Modifier and Type
Field
Description
`static final Rotations`
Rotations.`ZERO`
Rotations instance with every axis set to 0
Methods in io.papermc.paper.math that return Rotations
Modifier and Type
Method
Description
`@NotNull Rotations`
Rotations.`add(double x, double y, double z)`
Returns a new Rotations instance which is the result of adding the x, y, z components to this Rotations
`static @NotNull Rotations`
Rotations.`ofDegrees(double x, double y, double z)`
Creates a new Rotations instance holding the provided rotations
`default @NotNull Rotations`
Rotations.`subtract(double x, double y, double z)`
Returns a new Rotations instance which is the result of subtracting the x, y, z components from this Rotations
`@NotNull Rotations`
Rotations.`withX(double x)`
Returns a new Rotations instance which is the result of changing the X axis to the passed angle
`@NotNull Rotations`
Rotations.`withY(double y)`
Returns a new Rotations instance which is the result of changing the Y axis to the passed angle
`@NotNull Rotations`
Rotations.`withZ(double z)`
Returns a new Rotations instance which is the result of changing the Z axis to the passed angle

## Uses of Rotations in org.bukkit.entity

Methods in org.bukkit.entity that return Rotations
Modifier and Type
Method
Description
`Rotations`
ArmorStand.`getBodyRotations()`
Returns the ArmorStand's body rotations as `Rotations`.
`Rotations`
ArmorStand.`getHeadRotations()`
Returns the ArmorStand's head rotations as `Rotations`.
`Rotations`
ArmorStand.`getLeftArmRotations()`
Returns the ArmorStand's left arm rotations as `Rotations`.
`Rotations`
ArmorStand.`getLeftLegRotations()`
Returns the ArmorStand's left leg rotations as `Rotations`.
`Rotations`
ArmorStand.`getRightArmRotations()`
Returns the ArmorStand's right arm rotations as `Rotations`.
`Rotations`
ArmorStand.`getRightLegRotations()`
Returns the ArmorStand's right leg rotations as `Rotations`.
Methods in org.bukkit.entity with parameters of type Rotations
Modifier and Type
Method
Description
`void`
ArmorStand.`setBodyRotations(Rotations rotations)`
Sets the ArmorStand's body rotations as `Rotations`.
`void`
ArmorStand.`setHeadRotations(Rotations rotations)`
Sets the ArmorStand's head rotations as `Rotations`.
`void`
ArmorStand.`setLeftArmRotations(Rotations rotations)`
Sets the ArmorStand's left arm rotations as `Rotations`.
`void`
ArmorStand.`setLeftLegRotations(Rotations rotations)`
Sets the ArmorStand's left leg rotations as `Rotations`.
`void`
ArmorStand.`setRightArmRotations(Rotations rotations)`
Sets the ArmorStand's right arm rotations as `Rotations`.
`void`
ArmorStand.`setRightLegRotations(Rotations rotations)`
Sets the ArmorStand's right leg rotations as `Rotations`.